Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 190362 - Review Request: unifdef
Summary: Review Request: unifdef
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On: 189937
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2006-05-01 16:27 UTC by David Woodhouse
Modified: 2013-01-10 01:23 UTC (History)
2 users (show)

Fixed In Version: unifdef-1.171-10.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-05-18 00:39:13 UTC
tibbs: fedora-cvs+


Attachments (Terms of Use)
unidef.spec.patch - dist tag and other minor modifications (deleted)
2006-05-01 17:19 UTC, Jose Pedro Oliveira
no flags Details | Diff

Description David Woodhouse 2006-05-01 16:27:54 UTC
Spec URL: http://david.woodhou.se/unifdef.spec
SRPM URL: http://david.woodhou.se/unifdef-1.171-2.src.rpm
Description:
Unifdef is useful for removing ifdefed lines from a file while otherwise
leaving the file alone. Unifdef acts on #ifdef, #ifndef, #else, and #endif
lines, and it knows only enough about C and C++ to know when one of these
is inactive because it is inside a comment, or a single or double quote.

This is already in Core for rawhide. Could do with FC4 and FC5 builds in Extras though.

Comment 1 Jesse Keating 2006-05-01 16:50:47 UTC
Given the review done in 189937 I'm going to approve this package for Extras.

Comment 2 Jose Pedro Oliveira 2006-05-01 17:19:25 UTC
Created attachment 128452 [details]
unidef.spec.patch - dist tag and other minor modifications

Patch:
* adds a dist tag
* silences the setup setup (-q option)
* replaces "mkdir -p" by "install -d -m0755" 
* preserves the file timestamps (install -p)
* adds a blank line between the %setup and %build sections

Comment 3 David Woodhouse 2006-05-01 20:34:31 UTC
thanks. Updated specfile and src.rpm at 
 http://david.woodhou.se/unifdef.spec and
 http://david.woodhou.se/unifdef-1.171-3.src.rpm

Comment 4 Jose Pedro Oliveira 2006-05-02 01:02:32 UTC
David,

Don't forget to update the changelog ...

  $ rpmlint /home/users/fedora/rpms/RPMS/i386/unifdef-1.171-3.i386.rpm 
  W: unifdef incoherent-version-in-changelog 1.171-2 1.171-3

/jpo

Comment 5 Jose Pedro Oliveira 2006-05-07 16:14:21 UTC
The CVS branches for FC-4 and FC-5 are still missing. 
The request must be placed here:
    http://fedoraproject.org/wiki/Extras/CVSSyncNeeded

Comment 6 David Woodhouse 2006-05-07 16:20:51 UTC
Unless I was hallucinating, it _was_ added there. I added it again.

Does the Wiki let you see any more history than the one most recent change?

Comment 7 David Woodhouse 2006-05-07 16:25:06 UTC
Ah. I mistyped the package name as 'unidef' and Warren removed it without comment.

Comment 8 Michael J Knox 2006-05-08 04:33:45 UTC
Package has been imported. Please remember to close package reviews once
accepted and imported. 

Comment 9 Jose Pedro Oliveira 2006-05-10 19:54:43 UTC
Re-opening this ticket until:
 * package is built for FC-4 and FC-5 (cvs branches already in place)
 * the rawhide version-release is bigger or equal to the extras VR
 * files removed from the devel branch
 * the missing changelog entry is added ;) 

Comment 10 Jose Pedro Oliveira 2006-05-18 00:34:51 UTC
David,

Could you see the last paragraphs of 
   http://fedoraproject.org/wiki/Extras/CVSSyncNeeded
regarding the removal of the devel branch files?

TIA,
jpo

Comment 11 David Woodhouse 2006-05-18 00:39:13 UTC
Removed. 

Comment 12 Eric Smith 2010-04-07 14:47:56 UTC
Package Change Request
======================
Package Name: unifdef
New Branches: F-13
Owners: brouhaha

Comment 13 Kevin Fenzi 2010-04-08 02:17:41 UTC
There is already a F-13 branch. 

Make sure you do a 'cvs update -d' to pick up the directories. 

Feel free to reset the cvs flag if you need anything further.

Comment 14 Eric Smith 2011-05-01 07:27:39 UTC
Package Change Request
======================
Package Name: unifdef
New Branches: el6
Owners: brouhaha

Comment 15 Jason Tibbitts 2011-05-05 15:20:11 UTC
Git done (by process-git-requests).

Comment 16 Fedora Update System 2011-05-10 02:24:57 UTC
unifdef-1.171-10.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/unifdef-1.171-10.el6

Comment 17 Fedora Update System 2011-05-27 15:12:44 UTC
unifdef-1.171-10.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.